netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
phase2.h File Reference
`#include <net/if_ieee802.h>`

Go to the source code of this file.

## Data Structures
struct | llc

## Macros
#define | llc_control llc_un.type_u.control
#define | llc_fid llc_un.type_u.format_id
#define | llc_class llc_un.type_u.class
#define | llc_window llc_un.type_u.window_x2
#define | llc_org_code llc_un.type_snap.org_code
#define | llc_ether_type llc_un.type_snap.ether_type
#define | LLC_UI 0x3
#define | LLC_UI_P 0x13
#define | LLC_XID 0xaf
#define | LLC_XID_P 0xbf
#define | LLC_TEST 0xe3
#define | LLC_TEST_P 0xf3
#define | LLC_ISO_LSAP 0xfe
#define | LLC_SNAP_LSAP 0xaa
#define | SIOCPHASE1 _IOW('i', 100, struct ifreq)
#define | SIOCPHASE2 _IOW('i', 101, struct ifreq)

## Detailed Description

IEEE 802.2 Link Level Control headers, for use in conjunction with 802.{3,4,5} media access control methods.

Headers here do not use bit fields due to shortcomings in many compilers.

## Macro Definition Documentation

## ◆ llc_class

#define llc_class llc_un.type_u.class

## ◆ llc_control

#define llc_control llc_un.type_u.control

## ◆ llc_ether_type

#define llc_ether_type llc_un.type_snap.ether_type

## ◆ llc_fid

#define llc_fid llc_un.type_u.format_id

## ◆ LLC_ISO_LSAP

#define LLC_ISO_LSAP 0xfe

## ◆ llc_org_code

#define llc_org_code llc_un.type_snap.org_code

## ◆ LLC_SNAP_LSAP

#define LLC_SNAP_LSAP 0xaa

## ◆ LLC_TEST

#define LLC_TEST 0xe3

## ◆ LLC_TEST_P

#define LLC_TEST_P 0xf3

## ◆ LLC_UI

#define LLC_UI 0x3

## ◆ LLC_UI_P

#define LLC_UI_P 0x13

## ◆ llc_window

#define llc_window llc_un.type_u.window_x2

## ◆ LLC_XID

#define LLC_XID 0xaf

## ◆ LLC_XID_P

#define LLC_XID_P 0xbf

## ◆ SIOCPHASE1

#define SIOCPHASE1 _IOW('i', 100, struct ifreq)

AppleTalk phase 1

## ◆ SIOCPHASE2

#define SIOCPHASE2 _IOW('i', 101, struct ifreq)

AppleTalk phase 2